// "Tartan.java" version 1.0
//
// Copyright 1997-2004 Thomas Insel <tinsel@tinsel.org>
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. The name of the author may not be used to endorse or promote products
// derived from this software without specific prior written permission.
//
// DISCLAIMER
//
// This software is provided by the copyright holders and contributors
// "as is" and any express or implied warranties, including, but not
// limited to the implied warranties of merchantability and fitness
// for a particular purpose are disclaimed.
//
// In no event shall the copyright holders or contributors  be liable
// for any direct, indirect, special, exemplary, or consequential
// damages (including, but not limited to, procurement of substitute
// goods or services; loss of use, data, or profits; or business
// interruption) however caused an on any theory of liability, whether
// in contract, strict liability, or tort (including negligence or
// otherwise) arising in any way out of the use of this software, even
// if advised of the possibility of such damage.

// Please contact the author if you wish to distribute this file under
// different conditions or have changes to the file.
//
// You may obtain the current version of this file from
// http://www.tinsel.org/tinsel/Java/Tartan/

import java.awt.*;
import java.applet.*;

public class Tartan extends Applet {

        private Plaid myPlaid;

        public void init() {

                String sett = getParameter("sett");
                if (sett == null)
                        sett = "r 16 w 16 g 16 w 16 b 16";

                String symmString = getParameter("symm");
                int symm = ( symmString == null ? Plaid.SINGLEPIVOT
                                                : java.lang.Integer.valueOf(symmString).intValue());

                myPlaid = new Plaid(sett, symm, getParameter("darkened") != null);

                setLayout(new BorderLayout());
                add(BorderLayout.NORTH, myPlaid);

        }

        public String getAppletInfo() {
                return "Tartan 1.0.  Copyright 1997-2004 by Thomas Insel <tinsel@tinsel.org>";
        }

        public String[][] getParameterInfo() {
                String[][] info = {
                        {"sett",     "string",   "alternating list of colors and counts"},
                        {"symm",     "0,1,or 2", "symmetry"},
                        {"darkened", "anything", "darkens colors"}
                };
                return info;
        }

}